Bug 803350 - Review Request: python-django-simple-captcha - Django application to add captcha images to any Django form
Review Request: python-django-simple-captcha - Django application to add capt...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-14 09:56 EDT by Matthias Runge
Modified: 2012-03-23 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 09:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-14 09:56:14 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-simple-captcha.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-simple-captcha-0.3.0-2.fc16.src.rpm
Description: Django Simple Captcha is an extremely simple, yet highly customizable
Django application to add captcha images to any Django form


koji scratchbuild http://koji.fedoraproject.org/koji/taskinfo?taskID=3893730

[mrunge@mrungexp SPECS]$ rpmlint ./python-django-simple-captcha.spec ../SRPMS/python-django-simple-captcha-0.3.0-2.fc16.src.rpm ../RPMS/noarch/python-django-simple-captcha-0.3.0-2.fc16.noarch.rpm 
python-django-simple-captcha.src: W: spelling-error %description -l en_US customizable -> customization
python-django-simple-captcha.noarch: W: spelling-error %description -l en_US customizable -> customization
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Bohuslav "Slavek" Kabrda 2012-03-20 06:55:36 EDT
I'll take this one.
Comment 2 Bohuslav "Slavek" Kabrda 2012-03-20 07:17:30 EDT
- The package should probably have Requires: python-django, I guess it is not usable without it.
- Another thing that puzzles me is that the locale files don't actually get installed into BUILDROOT. You should probably copy them there by hand or ask upstream if it's intentional. If the locale files get copied, you can use the macro to find them like this:
%find_lang django
(because locales are named django.mo).

Other than that, the package looks good, so please solve these two minorities and it can be approved.
Comment 3 Matthias Runge 2012-03-23 04:46:24 EDT
Thank you for the review. I corrected the issues, updated URLs at the bottom.


[mrunge@sofja SPECS]$ diff -u python-django-simple-captcha.spec-2 python-django-simple-captcha.spec
--- python-django-simple-captcha.spec-2	2012-03-14 14:52:16.000000000 +0100
+++ python-django-simple-captcha.spec	2012-03-23 09:40:15.365177512 +0100
@@ -4,7 +4,7 @@
 Summary:	Django application to add captcha images to any Django form
 Name:		python-django-simple-captcha
 Version:	0.3.0
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	MIT
 Group:		Development/Libraries
 URL:		http://code.google.com/p/django-simple-captcha/	
@@ -15,6 +15,8 @@
 BuildRequires:	python-setuptools 
 BuildRequires:	gettext
 
+Requires:		python-django
+
 Provides:		%{pkgname} = %{version}-%{release}
 Obsoletes:		%{pkgname} < %{obs_ver}
 
@@ -35,24 +37,23 @@
 %install
 %{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
 
-# Handling locale files
-# This is adapted from the %%find_lang macro, which cannot be directly
-# used since Django locale files are not located in %%{_datadir}
-#
-# The rest of the packaging guideline still apply -- do not list
-# locale files by hand!
-(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
-%{__sed} -e \
-   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
-   >> %{pkgname}.lang
+# copy language files
+# reported isssue upstream
+# http://code.google.com/p/django-simple-captcha/issues/detail?id=60
+mkdir -p %{buildroot}/%{python_sitelib}/captcha/locale/fr/LC_MESSAGES
+cp -p captcha/locale/fr/LC_MESSAGES/django.?o %{buildroot}/%{python_sitelib}/captcha/locale/fr/LC_MESSAGES
 
+%find_lang django
 
-%files -f %{pkgname}.lang
+%files -f django.lang
 %doc LICENSE MANIFEST.in PKG-INFO
 %{python_sitelib}/captcha/
 %{python_sitelib}/django_simple_captcha-%{version}-py2*
 
 %changelog
+* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.0-3
+- minor spec cleanup
+
 * Wed Mar 14 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.0-2
 - rename package to python-django-simple-captcha


Updated SPEC: http://www.matthias-runge.de/fedora/python-django-simple-captcha.spec
Updated SRPM: http://www.matthias-runge.de/fedora/python-django-simple-captcha-0.3.0-3.fc17.src.rpm
Comment 4 Bohuslav "Slavek" Kabrda 2012-03-23 04:53:58 EDT
Great, this package is APPROVED.
Comment 5 Matthias Runge 2012-03-23 05:11:35 EDT
Thank you!

New Package SCM Request
=======================
Package Name: python-django-simple-captcha 
Short Description: Django application to add captcha images to any Django form
Owners: mrunge
Branches: devel
Comment 6 Gwyn Ciesla 2012-03-23 08:46:53 EDT
Git done (by process-git-requests).
Comment 7 Matthias Runge 2012-03-23 09:49:23 EDT
imported, built, django-simple-captcha orphaned, 
rel-eng-ticket for blocking: https://fedorahosted.org/rel-eng/ticket/5143

Note You need to log in before you can comment on or make changes to this bug.